Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden

Category: RPMs

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/4921

Description

Since we manually move file to their correct locations, it happens that they end up in the wrong place. The RPM build then passes
but the resulting package is broken. By adding a %check section that requires the gem, this should be prevented in most cases.

Associated revisions

Revision 26985ee0 - 04/21/2020 06:48 AM - Ewoud Kohl van Wijngaarden

Fixes #29424 - %check section for gems with native libs

Since we manually move file to their correct locations, it happens that
they end up in the wrong place. The RPM build then passes but the
resulting package is broken. By adding a %check section that requires
the gem, this should be prevented in most cases.

The EL8 check fails for some unknown reason and needs to be looked into.

History

#1 - 03/27/2020 11:41 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/4921 added

#2 - 04/21/2020 06:48 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 04/21/2020 07:01 AM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|26985ee036fc0c813fa842d34bd3dc7{ff381479.
